### Hierarchy

- LayoutEdge
  - LayeredDigraphEdge

This holds LayeredDigraphLayout-specific information about Links.

This class inherits from LayoutEdge.

## Index

### Constructors

- constructor

### Properties

- forest
- portFromColOffset
- portFromPos
- portToColOffset
- portToPos
- rev
- valid

## Constructors

### constructor

- new LayeredDigraphEdge(network: LayeredDigraphNetwork): LayeredDigraphEdge

- #### Parameters

  - ##### network: LayeredDigraphNetwork

  #### Returns LayeredDigraphEdge

## Properties

### forest : boolean

- True if the link is part of the depth first forest. The default value is false.

### portFromColOffset : number

- Approximate column offset of the from port of the link from the from node column used in straightening. The default value is 0.

### portFromPos : number

- Location of the port at the from node of the link. Allows the crossing matrix to correctly calculate the crossings for nodes with multiple ports. The default value is NaN.

### portToColOffset : number

- Approximate column offset of the to port of the link from the to node column used in straightening. The default value is 0.

### portToPos : number

- Location of the port at the to node of the link. Allows the crossing matrix to correctly calculate the crossings for nodes with multiple ports. The default value is NaN.

### rev : boolean

- True if the link was reversed during cycle removal. The default value is false.

### valid : boolean

- True if the link is part of the proper digraph. The default value is false.

Copyright © 1998-2021 by Northwoods Software Corporation.